function quest.GetHints()

    local current_profile = s10.g_ProfileManager.Instance().GetCurrentProfile()
    assert(current_profile)
    if current_profile ~= nil then
        return current_profile.GetHintsCount()
    end
    return 0
end

function quest.SetHints(_value)
    if _value and type(_value) =="number" then
        local current_profile = s10.g_ProfileManager.Instance().GetCurrentProfile()
        assert(current_profile)
        if current_profile ~= nil then
            current_profile.SetHintsCount(_value)
            --s10.g_ProfileManager.Instance().Save()
        end
        quest.UpdateHintGui()
    end
end


function quest.GetHintsUseCount()

    local current_profile = s10.g_ProfileManager.Instance().GetCurrentProfile()
    assert(current_profile)
    if current_profile ~= nil then
        return current_profile.GetHintsUseCount()
    end
    return 0
end

function quest.SetHintsUseCount(_value)
    if _value and type(_value) =="number" then
        local current_profile = s10.g_ProfileManager.Instance().GetCurrentProfile()
        assert(current_profile)
        if current_profile ~= nil then
            current_profile.SetHintsUseCount(_value)
            --s10.g_ProfileManager.Instance().Save()
        end
        quest.UpdateHintGui()
    end
end

function quest.GetHintsUseFlag()

    local current_profile = s10.g_ProfileManager.Instance().GetCurrentProfile()
    assert(current_profile)
    if current_profile ~= nil then
        return current_profile.GetHintsUseFlag()
    end
    return 0
end

function quest.SetHintsUseFlag(_value)
    if _value and type(_value) =="number" then
        local current_profile = s10.g_ProfileManager.Instance().GetCurrentProfile()
        assert(current_profile)
        if current_profile ~= nil then
            current_profile.SetHintsUseFlag(_value)
        end
    end
end

